=== debian/changelog ===
papirus-icon-theme (20250501+git20250828-1) unstable; urgency=medium

  * Upload to Debian.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Sep 2025 15:45:31 -0400

papirus-icon-theme (20250501+git20250828-0ubuntu1) questing; urgency=medium

  * New upstream snapshot

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 03 Sep 2025 15:41:05 -0700
