=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%papirus-icon-theme-$1.tar.gz%" \
   https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
