## papirus-icon-theme 20250501+git20251229

=== debian/changelog ===
papirus-icon-theme (20250501+git20251229-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 13:51:13 -0500
