=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: papirus-icon-theme
 Section: x11
-Priority: optional
 Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
-Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/debian/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/debian/papirus-icon-theme
